PSW(3)

PACKAGE
psw - Routines to write PostScript

PURPOSE
These routines provide PostScript generation facilities.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

psw_va_create
    Create a PostScriptPage object.

psw_mono_image
    Write a monochrome image to a PostScriptPage object.

psw_pseudocolour_image
    Write a pseudocolour image to a PostScriptPage object.

psw_rgb_image
    Write a truecolour image to a PostScriptPage object.

psw_directcolour_image
    Write a directcolour image to a PostScriptPage object.

psw_close
    Close a PostScriptPage object.

psw_rgb_line
    Write a colour line to a PostScriptPage object.

psw_rgb_polygon
    Write a colour polygon to a PostScriptPage object.

psw_rgb_arc
    Write a colour arc to a PostScriptPage object.

psw_rgb_ellipse
    Write a colour ellipse to a PostScriptPage object.

psw_rgb_text
    Write a colour string to a PostScriptPage object.

psw_set_attributes
    Set the attributes for a PostScriptPage object.

psw_get_media_size
    Get size of a known media type.

psw_set_clip_areas
    Set the clip areas.

TABLE psw_ATTRIBUTES
List of attributes for PostScriptPage object
Name Type Meaning
PSW_ATT_END End of varargs list
PSW_ATT_LINEWIDTH_MM double Linewidth in mm
PSW_ATT_LINEWIDTH_RELATIVE double Linewidth scaled to page size
PSW_ATT_THIN_LINEWIDTH_MM double Width of thin lines in mm
PSW_ATT_TRAY unsigned int Tray type, see <-psw_TRAY_TYPES->

TABLE psw_TRAY_TYPES
List of PostScript tray types
Name Meaning
PSW_TRAY_DEFAULT The default tray
PSW_TRAY_PAPER The paper tray
PSW_ATT_TRAY_TRANSPARENCY The transparency tray

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/